# CbcNWay Class Reference

Define an n-way class for variables. More...

`#include <CbcNWay.hpp>`

Inheritance diagram for CbcNWay:
[legend]
Collaboration diagram for CbcNWay:
[legend]

List of all members.

## Public Member Functions
| CbcNWay ()
| CbcNWay (CbcModel *model, int numberMembers, const int *which, int identifier)
| Useful constructor (which are matrix indices).
| CbcNWay (const CbcNWay &)
virtual CbcObject * | clone () const
| Clone.
CbcNWay & | operator= (const CbcNWay &rhs)
| Assignment operator.
virtual | ~CbcNWay ()
| Destructor.
void | setConsequence (int iColumn, const CbcConsequence &consequence)
| Set up a consequence for a single member.
void | applyConsequence (int iSequence, int state) const
| Applies a consequence for a single member.
virtual double | infeasibility (const OsiBranchingInformation *info, int &preferredWay) const
| Infeasibility - large is 0.5 (and 0.5 will give this).
virtual void | feasibleRegion ()
| This looks at solution and sets bounds to contain solution.
virtual CbcBranchingObject * | createCbcBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way)
| Creates a branching object.
int | numberMembers () const
| Number of members.
const int * | members () const
| Members (indices in range 0 ... numberColumns-1).
virtual void | redoSequenceEtc (CbcModel *model, int numberColumns, const int *originalColumns)
| Redoes data when sequence numbers change.
## Protected Attributes
int | numberMembers_
| data Number of members
int * | members_
| Members (indices in range 0 ... numberColumns-1).
CbcConsequence ** | consequence_
| Consequences (normally NULL).

## Detailed Description

Define an n-way class for variables.

Only valid value is one at UB others at LB Normally 0-1

Definition at line 15 of file CbcNWay.hpp.

## Constructor & Destructor Documentation

CbcNWay::CbcNWay | ( |  | ) |

CbcNWay::CbcNWay | ( | CbcModel * | model,
|  | int | numberMembers,
|  | const int * | which,
|  | int | identifier |
| ) |  |  |

Useful constructor (which are matrix indices).

CbcNWay::CbcNWay | ( | const CbcNWay & |  | ) |

virtual CbcNWay::~CbcNWay | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual CbcObject* CbcNWay::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcObject.

CbcNWay& CbcNWay::operator= | ( | const CbcNWay & | rhs | ) |

Assignment operator.

Reimplemented from CbcObject.

void CbcNWay::setConsequence | ( | int | iColumn,
|  | const CbcConsequence & | consequence |
| ) |  |  |

Set up a consequence for a single member.

void CbcNWay::applyConsequence | ( | int | iSequence,
|  | int | state |
| ) |  |  | const

Applies a consequence for a single member.

virtual double CbcNWay::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | preferredWay |
| ) |  |  | const`[virtual]`

Infeasibility - large is 0.5 (and 0.5 will give this).

Reimplemented from CbcObject.

virtual void CbcNWay::feasibleRegion | ( |  | ) | `[virtual]`

This looks at solution and sets bounds to contain solution.

Implements CbcObject.

virtual CbcBranchingObject* CbcNWay::createCbcBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | `[virtual]`

Creates a branching object.

Reimplemented from CbcObject.

int CbcNWay::numberMembers | ( |  | ) | const`[inline]`

Number of members.

Definition at line 57 of file CbcNWay.hpp.

const int* CbcNWay::members | ( |  | ) | const`[inline]`

Members (indices in range 0 ... numberColumns-1).

Definition at line 62 of file CbcNWay.hpp.

virtual void CbcNWay::redoSequenceEtc | ( | CbcModel * | model,
|  | int | numberColumns,
|  | const int * | originalColumns |
| ) |  |  | `[virtual]`

Redoes data when sequence numbers change.

Reimplemented from CbcObject.

## Member Data Documentation

int CbcNWay::numberMembers_`[protected]`

data Number of members

Definition at line 71 of file CbcNWay.hpp.

int* CbcNWay::members_`[protected]`

Members (indices in range 0 ... numberColumns-1).

Definition at line 74 of file CbcNWay.hpp.

CbcConsequence** CbcNWay::consequence_`[protected]`

Consequences (normally NULL).

Definition at line 76 of file CbcNWay.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcNWay.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines